Software package manager that installs, updates, and removes packages on RPM-based systems. yum stands for Yellowdog Updater, Modified.

learn more… | top users | synonyms

3
votes
1answer
54 views

Download yum packages on Debian for an offline fedora20 system

I need to download YUM packages (namely java-1.7.0-openjdk, gstreamer-plugins-good, gstreamer-plugins-bad and gstreamer-plugins-ugly) for an offline Fedora 20 machine, and I'm working on a Debian 7. ...
3
votes
1answer
512 views

Alternatives to Gentoo Prefix?

Are there any package managers that: work without root privileges, and install packages at a custom location (similar to ./configure --prefix), and install stable packages (unlike Gentoo Prefix ...
2
votes
1answer
123 views

rpm/yum: require minimum version of optional package

I have two packages, python-modules and python-modules-foo. python-modules-foo does not require python-modules to be installed, but if python-modules is installed, it must be at least version X. In ...
1
vote
1answer
11 views

rpm --ignoreos equivalent in yum

I have created an rpm on OSX that I want to install on CentOS6. I can do that with the following command: rpm -i --ignoreos <some_package>.rpm I'm wondering if there is an equivalent command ...
1
vote
1answer
1k views

CentOS yum — pre-existing rpmdb issues

I'm trying to install git on a developer box and I get the following: You could try using --skip-broken to work around the problem ** Found 3 pre-existing rpmdb problem(s), 'yum check' output ...
1
vote
1answer
274 views

yum update and downgrade packages

I have two bundles: bundle 7.5.0.0.0.14 and bundle 7.5.0.0.0.11 Each one contains a bunch of .rpms, with dependencies. bundle 7.5.0.0.0.14 is an updated version of bundle 7.5.0.0.0.11, except for ...
1
vote
1answer
759 views

dependency resolution (CentOs - Yum)

I'm trying to install a package that depends on Java 1.7 with yum. I do I have Java 7 on my machine: #echo $JAVA_HOME $JAVA_HOME /usr/lib/jvm/jre-1.7.0-openjdk.x86_64 # java -version java version ...
2
votes
0answers
166 views

Upgrading glibc in centos 6.6

My server is using glibc-2.12.x. when I install certain packages it gives an error.Dependency not found glibc-2.14 or above is required.When I try using yum install glibc* it says server is already ...
2
votes
0answers
348 views

is it possible to install boost 1.55 on fedora 20 without breaking dependencies to existing boost 1.54?

I must switch from boost and boost-devel 1.54 to 1.55 due to a bug in 1.54 on a fedora 20 x86_64 machine and I wonder what's the preferred way. There are some packages that rely on boost ...
2
votes
0answers
174 views

My Fedora Setup is gone due to accidental “yum upgrade”

How to roll back? I tried yum history undo 143 and yum --skip-broken history undo 143 and get the following errors. Important: All I care about is getting my kernel and custom graphics driver back to ...
2
votes
0answers
273 views

Could not open log file “pg_log/postgresql-Sun.log”: No such file or directory

After installing postgresql on fedora 17 using the yum package manager. When I try to start it I get the error message. [vagrant@example ~]$ sudo /sbin/service postgresql status Redirecting to ...
1
vote
0answers
34 views

Memory Usage of `yum update`

I was updating a slightly out of date server with yum update and ran into memory issues. It appears that yum requires enough free RAM to download each package. Updating single packages was not a ...
1
vote
0answers
240 views

How to install gcc 5+ on centos

I use CentOs 5 machine which has gcc 4.1.2. I want to try out few C++14 features and would like to install gcc 5 in a non default location. What is the best way to approach this? For example, for gcc ...
1
vote
0answers
90 views

can't start biber(bibLaTex Compiler), although it is successful installed (fedora21)

solved Hey, i installed texlive-biblatex* , but strangly i cant start it, using "biber". $ biber bash: biber: Befehl nicht gefunden... Also i cant access the manpage for bibLaTeX: $ man ...
1
vote
0answers
1k views

package-cleanup --cleandupes fails to remove duplicates

I have an issue with duplicate packages installed on my Fedora machine: # package-cleanup --dupes Loaded plugins: langpacks, refresh-packagekit audit-2.3.3-1.fc20.x86_64 audit-2.3.2-1.fc20.x86_64 ...
1
vote
0answers
421 views

Cannot proceed with yum install due to Transaction Check Error

I am trying to run "yum install" on my server. Upon replying "y" to install all listed updates, I am getting this Transaction Check Error. Transaction Check Error: file ...
1
vote
0answers
382 views

Install latest vlc on centos 5.5

I am using Centos 5.5. When I try, yum install vlc I got vlc version 0.9.9a which is very old with lot of bugs. Is there a way to get the latest version of VLC? I have already tried yum update vlc ...
1
vote
0answers
18 views

How does YUM know of a software update of something I installed from a CD or download

Can YUM update software that I install from a CD? Let's say I install open office, run an installer. How is YUM aware of the location, updates for that software? thanks
1
vote
0answers
25 views

How to view the versions available in yum

I'm trying to find a specific version of node.js (npm) to install on a CentOS machine. I want a specific version so that new members of our team aren't all running different versions of node.js than ...
1
vote
0answers
534 views

yum epel depsolving problems when installing R

I am trying to install R on an old RHEL5 system. sudo yum install R reveals This system is receiving updates from RHN Classic or RHN Satellite. Setting up Install Process Resolving Dependencies ...
1
vote
0answers
327 views

Tell yum update to given date, no later

I need to tell yum to update to a certain date's patches. For instance, let's say a test box gets updated last Thursday. The owner beats on the machine and determines the patch set is good, so I want ...
1
vote
0answers
108 views

Centos5: Custom comps.xml documentation/options?

I've got an app that I've packaged into rpms along with some of its dependencies. I'd like to be able to have it accessible as a group for easy install/uninstall. However, there's not too many ...
0
votes
0answers
21 views

yum dependency issue with releasever on some packages

I'm having an issue installing some software with yum, it shows a dependency issue even though all the packages are installed. I'm trying to install the redhead-lsb package. I get the following ...
0
votes
0answers
16 views

Changing behavior of RPM to use --excludepath by default

How do I change the config file of RPM such that any RPM operation defaults to using the --excludepath option ?
0
votes
0answers
15 views

Missing /opt/rocks/bin/python

I am new to using Rocks cluster. The rocks-devel package was deleted while doing a yum remove freetype Now when I'm trying to install rocks-devel-env-6.0-1.x86_64.rpm I'm getting an error ...
0
votes
0answers
48 views

Yum update fails [Errno -1] Metadata file does not match checksum (RedHat 5.11)

The server I'm working with is running the RedHat Entreprise : [root@xxxxxx ~]# lsb_release -irc Distributor ID: RedHatEnterpriseServer Release: 5.11 Codename: Tikanga I'm ...
0
votes
0answers
25 views

Which Scientific Linux package has GNU parallel?

I would like to use the GNU parallel utility on a Scientific Linux 6.6 distro so I can do cool stuff like: parallel convert '{}' '{.}.jpg' ::: *.png A Google search didn't help me work out which ...
0
votes
0answers
16 views

How to install package with locale dependencies?

I've built my own PHP5.5 on my RedHat6.6 two month ago in order to support Sybase database connections. Today I want to enable memcached support. I tried yum install php55-php-pecl-memcache.x86_64 ...
0
votes
0answers
196 views

Dependencies error while installing teamviewer in centOS 6.4 64bit?

Hello I am using centos 6.4 64bit. i am trying to install teamviewer. i've downloaded teamviewer rpm from teamviewer site. when i run rpm -ivh teamviewer_10.0.37742.i686.rpm it shows me failed ...
0
votes
0answers
61 views

Trying to yum install ntfs-3g by borrowing mount space from a shared drive

I am working in Centos 6 in a linux partition in my computer, which seems to have insufficient space for my needs (less than 100Gb). I have a shared drive mounted with Tbs of space which I am trying ...
0
votes
0answers
128 views

Yum installation fails with RHEL 6.5

I am trying to install shibboleth SP package using YUM installation (Yum install shibboleth). I am getting the following error while installing. Downloading Packages: ...
0
votes
0answers
323 views

force yum to install package with broken dependency

I want to install a package with yum, but get: $ sudo yum install python-Kivy-examples Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit Setopt argument has no value: nodeps ...
0
votes
0answers
222 views

How to auto-resolve dependencies in yum with redhat?

I came across the following issues trying to get git: yum install git-all.x86_64 Loaded plugins: product-id, refresh-packagekit, security, subscription-manager Updating certificate-based ...
0
votes
0answers
14 views

Equivalent of apt urgency flag in yum changelog?

I develop a cross distribution package manager, and i want to get the urgency of all updates on APT et YUM based distributions. With APT, it's simple, I have to fetch the changelog with apt-get ...
0
votes
0answers
403 views

Sudo yum vs sudo apt-get

I used to be an Ubuntu user and recently installed Fedora on an old computer and I had to use yum instead of apt-get. What is the difference between yum and apt-get? Are there any benefits or ...
0
votes
0answers
77 views

Two rpms with the same prefix name on one repository

I am using CentOS, I have a local repository and I want to add mysql server and mysql cluster rpms on it so I added all required rpm and all dependencies. At client that added my repo list all rpm ...
0
votes
0answers
206 views

restore rpm to default installed version on RHEL

Is there a way to restore one single package back to the original version shipped with the RHEL OS? A YUM downgrade just downgrades the package to the previous version located on the repository and ...
0
votes
0answers
214 views

how to fix repair yum on redhat vm

I have a VM hosted on Bluehost. I am having trouble installing Xvfb with yum. Anything I try with yum ($ yum, $ yum install Xvfb, etc) gives the following error; CRITICAL:yum.cli:Config Error: Error ...
0
votes
0answers
69 views

Can't install a package with YUM

I've installed YUM 2.0.7. When I try yum install kernel-headers for example I get the following error: What should I do for a fix? P.S. I've installed version 2.0.7 of YUM because I'm required to ...
0
votes
0answers
620 views

Can't install php-fpm: dependency issues

I'm trying to install php-fpm for my nginx server. Trying to install through yum (yum --enablerepo=remi install php-fpm php-mysql), I get the next error: Error: Package: ...
0
votes
0answers
129 views

Installing credis via yum

i do not want to manually install packages. i can't seem to find credis on yum. i have tried yum search all enablerepo=epel credis too, but it does not return anything i'd want here- hiredis.i686 : A ...
0
votes
0answers
244 views

YUM and RPM crash due to the liblua-5.1 library being missing

I've been playing around with a LiveUsb install of basic Fedora with persistence. I attempted to install moonscript, which requires Lua and LuaRocks. After installing Lua and discovering there were ...
0
votes
0answers
872 views

Yum hangs on setting up package sacks

I'm having trouble with Yum installing postfix. I'm using yum on a trixbox/freepbx system and trying to get voicemail-to-email setup for VOIP Cisco phones in an office environment. Anyways I try ...
0
votes
0answers
145 views

yum install 389-ds (Directory Server) on Redhat Linux not working

I am trying to install 389-ds (Directory Server) on Redhat Linux. $ yum install 389-ds ... Could not retrieve mirrorlist ...
0
votes
0answers
160 views

RHEL 6.4: Cannot Update via Terminal

I have a RHEL 6.4 server and I cannot use the yum command from within an SSH connection. If I execute any yum command (yum update, yum install, yum clean all) I get the following: Loaded plugins: ...
0
votes
0answers
485 views

sudo yum install nginx doesn't work

Here's what I get when I type it in via the command line: [prompt]$ sudo yum install nginx Loaded plugins: priorities, security, update-motd, upgrade-helper ...
0
votes
0answers
3k views

How do I change Login Screen Background in Centos 6.3

I want to change the default Login Screen background/theme in Centos 6.3. The INSTALL folder in the theme I downloaded says: Use 'gdmsetup' to install. But gdmsetup isn't a recognized command. I ...
0
votes
0answers
2k views

RHEL Unable to install any package using yum

I am pretty new to Linux and trying to install a package using yum in RHEL5 linux. Even the simplest of the simple packages I am not able to install and it looks like naming server issue. I tried ...
0
votes
0answers
72 views

Error in enabling json support in php on centos

I'm trying to enable JSON support in PHP on a CentOS server. But after running '# yum install gcc" or any other package I'm given this error: " Fatal Python error: PyString_InternInPlace: strings ...
0
votes
0answers
281 views

which yum version can handle sha256 checksum

I am using redhat es 5.4, I add fedora 15 repo in yum.repos.d, the fedora 15 using sha256 to generate checksum. it seems the yum version I am using can't handle checksum generated with sha256. I am ...